<?php

// Handle running this file by using SSI.php
if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF'))
{
	$_GET['debug'] = 'Blue Dream!';
	require_once(dirname(__FILE__) . '/SSI.php');
}
// Hmm... no SSI.php and no SMF?
elseif (!defined('SMF'))
	die('<b>Error:</b> Cannot install - please verify you put this in the same place as SMF\'s index.php.');

global $smcFunc;

// Make sure that we have the package database functions.
if (!array_key_exists('db_add_column', $smcFunc))
	db_extend('packages');

// Columns for the User Info Links Table
$columns = array(
    array(
        'name' => 'id_link',
        'type' => 'int',
        'size' => '10',
        'auto' => true,
        'unsigned' => true,
    ),
    array(
        'name' => 'id_block',
        'type' => 'int',
        'size' => '10',
        'unsigned' => true,
    ),
    array(
        'name' => 'title',
        'type' => 'varchar',
        'size' => '255',
    ),
    array(
        'name' => 'url',
        'type' => 'varchar',
        'size' => '255',
    ),
    array(
        'name' => 'perms',
        'type' => 'varchar',
        'size' => '255',
    ),
);

// The index
$indexes = array(
    array(
        'type' => 'primary',
        'columns' => array('id_link'),
    ),
);

// And finally, create the table
$smcFunc['db_create_table']('{db_prefix}sp_extralinks', $columns, $indexes);

?>
